Loading...
Searching...
No Matches
etl::atomic< T > Class Template Reference

## Public Member Functions

ETL_CONSTEXPR | atomic (T desired) ETL_NOEXCEPT
| atomic (const atomic &)=delete
atomic & | operator= (const atomic &)=delete
atomic & | operator= (const atomic &) volatile =delete
T | fetch_max (T v, std::memory_order order=std::memory_order_seq_cst)
T | fetch_max (T v, std::memory_order order=std::memory_order_seq_cst) volatile
T | fetch_min (T v, std::memory_order order=std::memory_order_seq_cst)
T | fetch_min (T v, std::memory_order order=std::memory_order_seq_cst) volatile

The documentation for this class was generated from the following file:

- include/etl/atomic/atomic_std.h